## indicator-datetime 15.10%2B21.04.20210304-0ubuntu1%2B11.0trisquel2

=== debian/changelog ===
indicator-datetime (15.10+21.04.20210304-0ubuntu1+11.0trisquel2) aramo; urgency=medium

  * Add MATE compatibility

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 16:58:07 +0000

indicator-datetime (15.10+21.04.20210304-0ubuntu1) hirsute; urgency=medium

  * Add back a build dependency on libgtest-dev (not sure when and why it was
    dropped)
  * src: fix a couple of build failures on hirsute:
    - src/engine-eds.cpp: use i_cal_component_free for ICalComponent
    - src/exporter.cpp: drop unnecessary G_OBJECT cast

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 04 Mar 2021 22:34:08 +0100

indicator-datetime (15.10+20.04.20200217-0ubuntu3.1) groovy; urgency=medium

  * Rebuild with the new libedataserver soname
  * src:
    - include string where needed to fix the build with gcc10

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Aug 2020 16:59:58 +0200

indicator-datetime (15.10+20.04.20200217-0ubuntu2) groovy; urgency=medium

  * Drop url-dispatcher based Unity8 support. ubuntu-app-launch &
    url-dispatcher fail to build from source and are now holding up
    transitions in groovy. Unity8 has been removed from the Ubuntu
    Archive. This can be reintroduced back, if ubuntu-app-launch /
    url-dispatcher (or equivalent) are fixed to not FTBFS with new glib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Jun 2020 10:46:06 +0100
