## indicator-datetime 15.10+16.04.20160406

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,6 @@
 add_test_by_name(test-datetime)
 add_test_by_name(test-sound)
 add_test_by_name(test-notification)
-add_test_by_name(test-notification-response)
 add_test_by_name(test-actions)
 add_test_by_name(test-alarm-queue)
 add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
@@ -58,7 +57,6 @@
 add_test_by_name(test-formatter)
 add_test_by_name(test-live-actions)
 add_test_by_name(test-locations)
-add_test_by_name(test-menu-appointments)
 add_test_by_name(test-menus)
 add_test_by_name(test-planner)
 add_test_by_name(test-settings)
@@ -87,8 +85,7 @@
             ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
             ${TEST_NAME}                                           # arg3: test name
             ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
-            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics           # arg5: the ical file for this test
-            ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg6: online accounts database
+            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics)          # arg5: the ical file for this test
 endfunction()
 add_eds_ics_test_by_name(test-eds-ics-all-day-events)
 add_eds_ics_test_by_name(test-eds-ics-repeating-events)
@@ -98,8 +95,6 @@
 add_eds_ics_test_by_name(test-eds-ics-tzids)
 add_eds_ics_test_by_name(test-eds-ics-tzids-2)
 add_eds_ics_test_by_name(test-eds-ics-tzids-utc)
-add_eds_ics_test_by_name(test-eds-ics-non-attending-alarms)
-add_eds_ics_test_by_name(test-eds-ics-repeating-events-with-individual-change)
 
 
 # disabling the timezone unit tests because they require
