=== debian/changelog ===
indicator-datetime (15.10+17.10.20170829.2-0ubuntu4+9.0trisquel2) etiona; urgency=medium

  * Add MATE compatibility

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Apr 2020 02:45:21 +0000
