=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                libglib2.0-dev (>= 2.35.4),
                libnotify-dev (>= 0.7.6),
                libgstreamer1.0-dev,
-               libgtest-dev,
-               libecal2.0-dev,
+               libecal1.2-dev (>= 3.5),
                libical-dev,
                libedataserver1.2-dev (>= 3.5),
+               liburl-dispatcher1-dev,
                libproperties-cpp-dev,
 # for com.ubuntu.notifications.hub schema to pick up blacklist of apps that can't show notifications
                gsettings-ubuntu-schemas (>= 0.0.7),
@@ -58,7 +58,8 @@
          systemd,
 Recommends: indicator-applet | indicator-renderer,
             evolution-data-server,
-            unity-control-center (>= 14.04.3) | gnome-control-center | gnome-system-tools,
+            geoclue-ubuntu-geoip | geoclue-provider,
+            unity-control-center (>= 14.04.3) | gnome-control-center,
             ubuntu-touch-sounds,
 Description: Simple clock
  A simple clock appearing in the indicator bar
