=== debian/watch ===
version=3
https://launchpad.net/indicator-datetime/+download .*/indicator-datetime-([0-9.]+)\.tar\.gz
