## indicator-datetime 15.10+20.04.20200217

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
                    glib-2.0>=2.36
                    gio-unix-2.0>=2.36
                    libical>=0.48
-                   libecal-1.2>=3.5
+                   libecal-2.0
                    libedataserver-1.2>=3.5
                    gstreamer-1.0>=1.2
                    libnotify>=0.7.6
