## indicator-datetime 15.10+21.04.20210304

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,6 @@
                    libedataserver-1.2>=3.5
                    gstreamer-1.0>=1.2
                    libnotify>=0.7.6
-                   url-dispatcher-1>=1
                    properties-cpp>=0.0.1
                    libaccounts-glib>=1.18
                    messaging-menu>=12.10
